Having Plugin Trouble

Discussion in 'Javascript/Plugin Support' started by ShellyValeras, Nov 2, 2019.

  1. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    I have the latest version of Yanfly Quest Journal Plugin but it still won't work. It's not showing when i play test and Main Menu Manager keeps giving me a message saying that $gameSystem.isShowQuest() is not a function..

    I looked this issue up online to try and fix the issue myself but it the answer i found was useless cause I'm already caught up on the updates.

    Can someone help me please?

    [​IMG]
    [​IMG]
    [​IMG]
    [​IMG]
    [​IMG]

    These are all of the screenshots i have.

    Edit: So i did the play-test and had the developers tools open...

    [​IMG]
    [​IMG]

    Edit: note: i don't know why it says img at the bottom.
    [​IMG]
     
    Last edited: Nov 9, 2019
    #1
  2. Green_Slime

    Green_Slime A Slime Member

    Messages:
    11
    Likes Received:
    3
    First Language:
    English
    Primarily Uses:
    Other
    I think you don't need MainMenuManager to make Quest system work?
     
    #2
  3. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    I tried working it withiut MMM but it didnt show in the play test.
     
    #3
  4. Green_Slime

    Green_Slime A Slime Member

    Messages:
    11
    Likes Received:
    3
    First Language:
    English
    Primarily Uses:
    Other
    That's weird, because it work normally for me ;O perhaps you should pressF8 while playtest to see if there is any bugs
     
    #4
  5. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    I'll try that tomorow and reply here with an update. Thank you.
     
    #5
  6. Kes

    Kes Global Moderators Global Mod

    Messages:
    20,970
    Likes Received:
    10,663
    First Language:
    English
    Primarily Uses:
    RMVXA
    'Tech Support' is for when you can't get the engine to run.

    I've moved this thread to JavaScript/Plugin Support. Please be sure to post your threads in the correct forum next time. Thank you.

     
    #6
  7. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    Thank you I couldnt find it when i posted this.
     
    #7
  8. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    welp i tried
     
    #8
  9. BlissfulGamer13

    BlissfulGamer13 Warper Member

    Messages:
    3
    Likes Received:
    1
    First Language:
    English
    Primarily Uses:
    RMMV
    Could you create a new project and add the quest plugin to it and see if it works ?

    Was the project created prior to you updating RPG Maker ? If so was the project itself updated ?
     
    #9
  10. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    I didn't make this project till after i bought rpg maker. The game i was working on before doing so was called Avalon and it was completely corrupted.
     
    #10
  11. Ahuramazda

    Ahuramazda Veteran Veteran

    Messages:
    200
    Likes Received:
    61
    Location:
    China Grove, North Carolina
    First Language:
    English
    The project you are working on, is it MV 1.5 or less? The quest journal doesn't like those versions if so, sadly. I have edited mine to work with those versions, but due to Yanfly's newest ToS I'm not gonna risk sharing the code. :/

    To check the version you are using, go into the folder your game is in, open the js folder, and then open rpg_core.js in a text editor of some kind... should be at the top.


    Edit: went through the screenshots again and the answer was in the console on your playtest screen:
    upload_2019-11-9_9-19-55.png

    Sadly if you are wanting to use that plugin you need to either update your project to MV 1.6+ or start a new project with 1.6+ and import all your work :/

    Edit 2: The final screenshot which shows the "MV 1.6.1" that is only for the game editor program, the game though is something 1.5- because the games files will not update like the program will because of breaking stuffs. For future reference. :)
     
    Last edited: Nov 9, 2019
    #11
  12. ShellyValeras

    ShellyValeras Beginner Game Maker Veteran

    Messages:
    52
    Likes Received:
    40
    First Language:
    English
    Primarily Uses:
    RMMV
    Thank you. I will see what i can do.
     
    #12

Share This Page